/*
 * Copyright 2000 by Jean-Claude Christophe <jch@oleane.net>
 *                                          <jch@bsdfr.org>
 *
 * Home page:  http://www.bsdfr.org/projects/tac_bsd/
 *
 * conf.h  Proto for conf.c
 */

#ifndef _CONF_H_
#define _CONF_H_

extern int read_conf(char *);

/*
 *  1: server      2: secret     3: syslog         4: syslog_facility      5: syslog_level
 *  6: premotd     7: motdpass   8: motdfail       9: shell               10: maxtry
 * 11: maxsession 12: directory 13: umask          14: passwd_care         15: maxlogintime
 * 16: uid        17: gid       18: server_timeout
 */

#define MAX_OPTIONSLINE 18

/* 
 * Each options is described in conf.c
 * Missing options are in tac_bsd.h
 */

extern char *secret;
extern int  slog, slog_flty, slog_lvl, _syslog;
extern char *premotd, *motdpass, *motdfail;
extern char *shell;
extern int  maxtry, maxsession, maxlogintime;
extern char *directory;
extern int  passwd_care;

#endif /* _CONF_H_ */
